Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
articlepreview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $t
| $article = new eZArticle( )
if(! $article->get( $ArticleID)) | $renderer = new eZArticleRenderer( $article )
| $articleContents =& $renderer->renderPage( $PageNumber -1 )
| $files = $article->files()
if(count( $files) > 0) | else
| $types = $article->types()
| $typeCount = count( $types )
if( $typeCount > 0) | $usedImages = $renderer->usedImageList()
| $images =& $article->images()
| $imageNumber = 0
| $i =0
| $pageCount = $article->pageCount()

## Variable Documentation

## ◆ $article

$article = new eZArticle( )

Definition at line 67 of file articlepreview.php.

## ◆ $articleContents

$articleContents =& $renderer->renderPage( $PageNumber -1 )

Definition at line 81 of file articlepreview.php.

Referenced by eZProduct\brief(), eZProduct\briefPlain(), eZProduct\description(), and eZProduct\descriptionPlain().

## ◆ $files

$files = $article->files()

Definition at line 91 of file articlepreview.php.

Referenced by ezpRestRequest\__construct(), eZDFSFileHandlerMySQLiBackend\_purgeByLike(), eZDebug\addTimingPoint(), eZMail\calculateSize(), eZArticleTool\deleteCache(), eZProductTool\deleteCache(), deleteCache(), eZOrderConfirmation\deleteCache(), eZQuizTool\deleteCache(), getFilesAndFolders(), getImagesAndCategores(), getImagesAndCategories(), eZSys\globBrace(), eZCodeMapper\loadTransformationFiles(), eZDir\recursiveFind(), eZDir\recursiveFindRelative(), eZMail\send(), eZLog\setLogrotateFiles(), eZDebug\setLogrotateFiles(), syncDir(), and eZDebug\write().

## ◆ $i

$i =0

Definition at line 148 of file articlepreview.php.

## ◆ $imageNumber

$imageNumber = 0

Definition at line 147 of file articlepreview.php.

## ◆ $images

$images =& $article->images()

Definition at line 146 of file articlepreview.php.

Referenced by syncDir().

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 36 of file articlepreview.php.

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 38 of file articlepreview.php.

## ◆ $pageCount

$pageCount = $article->pageCount()

Definition at line 195 of file articlepreview.php.

## ◆ $renderer

if (! $article->get($ArticleID)) $renderer = new eZArticleRenderer( $article )

Definition at line 76 of file articlepreview.php.

Referenced by eZProduct\brief(), createSmallArticleList(), eZProduct\description(), ezpRestContentRenderer\getRenderer(), eZArticleTool\notificationMessage(), printForm(), renderFrontpageArticle(), renderFrontpageArticleDouble(), and sendmail().

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezarticle/admin/" . $ini->variable( "eZArticleMain", "AdminTemplateDir" ),
"kernel/ezarticle/admin/intl/", $Language, "articlepreview.php" )
$Language
$Language
Definition: articlepreview.php:38
$ini
$ini
Definition: articlepreview.php:36
eZTemplate
Definition: eztemplate.php:107

Definition at line 40 of file articlepreview.php.

## ◆ $typeCount

$typeCount = count( $types )

Definition at line 110 of file articlepreview.php.

## ◆ $types

$types = $article->types()

Definition at line 108 of file articlepreview.php.

Referenced by eZDir\findSubitems(), eZDebug\setLogFileEnabled(), and eZDebug\showTypes().

## ◆ $usedImages

if ($typeCount > 0) $usedImages = $renderer->usedImageList()

Definition at line 145 of file articlepreview.php.

## ◆ else

if ($PageNumber< $pageCount) else

Initial value:
{
$t->set_var( "attached_file_list", "" )
$t
$t
Definition: articlepreview.php:40

Definition at line 103 of file articlepreview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.